Last modified: 2014-07-03 19:33:14 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 58932 - Get rid of $wgEnableNewpagesUserFilter
Get rid of $wgEnableNewpagesUserFilter
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Patrolling (Other open bugs)
unspecified
All All
: Low normal (vote)
: ---
Assigned To: This, that and the other (TTO)
:
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2013-12-24 10:48 UTC by This, that and the other (TTO)
Modified: 2014-07-03 19:33 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description This, that and the other (TTO) 2013-12-24 10:48:00 UTC
This config variables dates back to r34065 from April 2008. Quoth Brion:

/**
 * Enable user search in Special:Newpages
 * This is really a temporary hack around an index install bug on some Wikipedias.
 * Kill it once fixed.
 */

$wgEnableNewpagesUserFilter is still set to false on some wikis:

'wgEnableNewpagesUserFilter' => array(
	'default' => true,
	'frwiki' => false,
	'nlwiki' => false,
	'svwiki' => false,
),

I can't find any bug report or other reason why this config variable even exists, or why it is set to false on these three wikis.

I think it is time to get rid of this.
Comment 1 Kunal Mehta (Legoktm) 2014-01-26 19:13:21 UTC
Someone with access to the cluster should run "show indexes in recentchanges" on frwiki, nlwiki, and svwiki to ensure the rc_user_text index has been added, and then we can kill it.
Comment 2 Bartosz Dziewoński 2014-01-26 19:23:54 UTC
CC-ing Sean.
Comment 3 Sean Pringle 2014-01-27 12:45:29 UTC
Confirming that the rc_user_text index exists on frwiki, nlwiki, and svwiki.
Comment 4 Gerrit Notification Bot 2014-06-21 01:51:04 UTC
Change 141100 had a related patch set uploaded by TTO:
Kill $wgEnableNewpagesUserFilter

https://gerrit.wikimedia.org/r/141100
Comment 5 Gerrit Notification Bot 2014-06-21 02:08:08 UTC
Change 141105 had a related patch set uploaded by TTO:
Kill $wgEnableNewpagesUserFilter

https://gerrit.wikimedia.org/r/141105
Comment 6 Gerrit Notification Bot 2014-06-21 06:11:57 UTC
Change 141105 merged by jenkins-bot:
Kill $wgEnableNewpagesUserFilter

https://gerrit.wikimedia.org/r/141105
Comment 7 Tomasz W. Kozlowski 2014-06-21 19:01:11 UTC
Merged, so apparently fixed.  Leaving TTO as assignee so he can take the glory.
Comment 8 Tomasz W. Kozlowski 2014-06-21 19:07:08 UTC
Oi! Didn't notice that there were actually two patches for this bug, so this'll have to wait till https://gerrit.wikimedia.org/r/141105 gets merged.
Comment 9 Gerrit Notification Bot 2014-07-03 19:30:58 UTC
Change 141100 merged by jenkins-bot:
Kill $wgEnableNewpagesUserFilter

https://gerrit.wikimedia.org/r/141100

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links